Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 484)
@@ -197,6 +197,50 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("Birthday")
+                            || strWork.Equals("StartDate")
+                            || strWork.Equals("EndDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 担当者マスタ検索文字列作成
         /// <summary>
         /// 担当者マスタ検索文字列作成
@@ -207,33 +251,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM PersonInChargeMaster", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("StartDate")
-                        || strWork.Equals("EndDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM PersonInChargeMaster");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -249,8 +277,6 @@
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();;
-            ArrayList arData = new ArrayList();
-
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
@@ -258,6 +284,7 @@
                 strcmd.Append(AddSQLString);
 
                 // SQL実行
+                ArrayList arData = new ArrayList();
                 if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
@@ -290,8 +317,6 @@
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();;
-            ArrayList arData = new ArrayList();
-
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
@@ -299,6 +324,7 @@
                 strcmd.Append(AddSQLString);
 
                 // SQL実行
+                ArrayList arData = new ArrayList();
                 if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
@@ -343,32 +369,32 @@
 
                 strcmd.AppendFormat("  {0}", work.PersonCode);
                 strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                strcmd.AppendFormat(", '{0}'", work.PersonName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.PersonName));
 
-                strcmd.AppendFormat(", '{0}'", work.PersonNameKana);
+                strcmd.AppendFormat(", {0}", SeparateString(work.PersonNameKana));
                 strcmd.AppendFormat(", {0}", work.Sex);
-                strcmd.AppendFormat(", '{0}'", work.BloodType);
+                strcmd.AppendFormat(", {0}", SeparateString(work.BloodType));
                 strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.Birthday.ToShortDateString());
-                strcmd.AppendFormat(", '{0}'", work.ZipCode);
-                strcmd.AppendFormat(", '{0}'", work.Address1);
-                strcmd.AppendFormat(", '{0}'", work.Address2);
-                strcmd.AppendFormat(", '{0}'", work.Address3);
-                strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
-                strcmd.AppendFormat(", '{0}'", work.EmgPhoneNumber);
-                strcmd.AppendFormat(", '{0}'", work.EmgContact);
+                strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.EmgPhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(work.EmgContact));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.StartDate.ToShortDateString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.EndDate.ToShortDateString());
-                strcmd.AppendFormat(", '{0}'", work.PassWord);
+                strcmd.AppendFormat(", {0}", SeparateString(work.PassWord));
                 strcmd.AppendFormat(", {0}", work.SecurityManagement);
                 strcmd.AppendFormat(", {0}", work.SecCode);
                 strcmd.AppendFormat(", '{0}'", work.MsgBackColor);
-                strcmd.AppendFormat(", '{0}'", work.DisplayString);
+                strcmd.AppendFormat(", {0}", SeparateString(work.DisplayString));
                 strcmd.AppendFormat(", {0}", work.DepartmentCode);
                 strcmd.AppendFormat(", {0}", work.MonthlySalary);
                 strcmd.AppendFormat(", {0}", work.YearSalary);
-                strcmd.AppendFormat(", '{0}'", work.Qualification);
-                strcmd.AppendFormat(", '{0}'", work.SealPrintName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.Qualification));
+                strcmd.AppendFormat(", {0}", SeparateString(work.SealPrintName));
                 strcmd.AppendFormat(", {0}", work.EmployeeClassFlg);
                 strcmd.AppendFormat(", {0}", work.LedgerFlg);
                 strcmd.AppendFormat(", {0}", work.CommutingDistance);
@@ -425,32 +451,32 @@
 
                     strcmd.AppendFormat("  {0}", work.PersonCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(", '{0}'", work.PersonName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PersonName));
 
-                    strcmd.AppendFormat(", '{0}'", work.PersonNameKana);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PersonNameKana));
                     strcmd.AppendFormat(", {0}", work.Sex);
-                    strcmd.AppendFormat(", '{0}'", work.BloodType);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BloodType));
                     strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.Birthday);
-                    strcmd.AppendFormat(", '{0}'", work.ZipCode);
-                    strcmd.AppendFormat(", '{0}'", work.Address1);
-                    strcmd.AppendFormat(", '{0}'", work.Address2);
-                    strcmd.AppendFormat(", '{0}'", work.Address3);
-                    strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(", '{0}'", work.EmgPhoneNumber);
-                    strcmd.AppendFormat(", '{0}'", work.EmgContact);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.EmgPhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.EmgContact));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.StartDate.ToShortDateString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.EndDate.ToShortDateString());
-                    strcmd.AppendFormat(", '{0}'", work.PassWord);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PassWord));
                     strcmd.AppendFormat(", {0}", work.SecurityManagement);
                     strcmd.AppendFormat(", {0}", work.SecCode);
                     strcmd.AppendFormat(", '{0}'", work.MsgBackColor);
-                    strcmd.AppendFormat(", '{0}'", work.DisplayString);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.DisplayString));
                     strcmd.AppendFormat(", {0}", work.DepartmentCode);
                     strcmd.AppendFormat(", {0}", work.MonthlySalary);
                     strcmd.AppendFormat(", {0}", work.YearSalary);
-                    strcmd.AppendFormat(", '{0}'", work.Qualification);
-                    strcmd.AppendFormat(", '{0}'", work.SealPrintName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Qualification));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SealPrintName));
                     strcmd.AppendFormat(", {0}", work.EmployeeClassFlg);
                     strcmd.AppendFormat(", {0}", work.LedgerFlg);
                     strcmd.AppendFormat(", {0}", work.CommutingDistance);
@@ -499,32 +525,32 @@
 
                 strcmd.AppendFormat("  PersonCode = {0}", data.PersonCode.ToString());
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(", PersonName = '{0}'", data.PersonName);
+                strcmd.AppendFormat(", PersonName = {0}", SeparateString(data.PersonName));
 
-                strcmd.AppendFormat(", PersonNameKana = '{0}'", data.PersonNameKana);
+                strcmd.AppendFormat(", PersonNameKana = {0}", SeparateString(data.PersonNameKana));
                 strcmd.AppendFormat(", Sex = {0}", data.Sex);
-                strcmd.AppendFormat(", BloodType = '{0}'", data.BloodType);
+                strcmd.AppendFormat(", BloodType = {0}", SeparateString(data.BloodType));
                 strcmd.AppendFormat(", Birthday = STR_TO_DATE('{0}' ,'%Y/%m/%d')", data.Birthday.ToShortDateString());
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", EmgPhoneNumber = '{0}'", data.EmgPhoneNumber);
-                strcmd.AppendFormat(", EmgContact = '{0}'", data.EmgContact);
+                strcmd.AppendFormat(", ZipCode = {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 = {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 = {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 = {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", PhoneNumber = {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", EmgPhoneNumber = {0}", SeparateString(data.EmgPhoneNumber));
+                strcmd.AppendFormat(", EmgContact = {0}", SeparateString(data.EmgContact));
 
                 strcmd.AppendFormat(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
                 strcmd.AppendFormat(", EndDate = STR_TO_DATE('{0}','%Y/%m/%d')",data.EndDate.ToShortDateString());
-                strcmd.AppendFormat(", PassWord = '{0}'", data.PassWord);
+                strcmd.AppendFormat(", PassWord = {0}", SeparateString(data.PassWord));
                 strcmd.AppendFormat(", SecurityManagement = {0}", data.SecurityManagement.ToString());
                 strcmd.AppendFormat(", SecCode = {0}", data.SecCode.ToString());
                 strcmd.AppendFormat(", MsgBackColor = '{0}'", data.MsgBackColor);
-                strcmd.AppendFormat(", DisplayString = '{0}'", data.DisplayString);
+                strcmd.AppendFormat(", DisplayString = {0}", SeparateString(data.DisplayString));
                 strcmd.AppendFormat(", DepartmentCode = {0}", data.DepartmentCode.ToString());
                 strcmd.AppendFormat(", MonthlySalary = {0}", data.MonthlySalary.ToString());
                 strcmd.AppendFormat(", YearSalary = {0}", data.YearSalary.ToString());
-                strcmd.AppendFormat(", Qualification = '{0}'", data.Qualification);
-                strcmd.AppendFormat(", SealPrintName = '{0}'", data.SealPrintName);
+                strcmd.AppendFormat(", Qualification = {0}", SeparateString(data.Qualification));
+                strcmd.AppendFormat(", SealPrintName = {0}", SeparateString(data.SealPrintName));
                 strcmd.AppendFormat(", EmployeeClassFlg = {0}", data.EmployeeClassFlg.ToString());
                 strcmd.AppendFormat(", LedgerFlg = {0}", data.LedgerFlg);
                 strcmd.AppendFormat(", CommutingDistance = {0}", data.CommutingDistance);
@@ -599,40 +625,40 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnCnt.PersonName:
-                        strcmd.AppendFormat(" PersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PersonName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.PersonNameKana:
-                        strcmd.AppendFormat(", PersonNameKana = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", PersonNameKana = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.Sex:
                         strcmd.AppendFormat(", Sex = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnCnt.BloodType:
-                        strcmd.AppendFormat(", BloodType = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", BloodType = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.Birthday:
                         strcmd.AppendFormat(", Birthday = STR_TO_DATE('{0}' ,'%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnCnt.ZipCode:
-                        strcmd.AppendFormat(", ZipCode = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", ZipCode = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.Address1:
-                        strcmd.AppendFormat(", Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", Address1 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.Address2:
-                        strcmd.AppendFormat(", Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", Address2 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.Address3:
-                        strcmd.AppendFormat(", Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", Address3 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.PhoneNumber:
-                        strcmd.AppendFormat(", PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", PhoneNumber = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.EmgPhoneNumber:
-                        strcmd.AppendFormat(", EmgPhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", EmgPhoneNumber = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.EmgContact:
-                        strcmd.AppendFormat(", EmgContact = '{0}'", value.ToString());
+                        strcmd.AppendFormat(", EmgContact = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.StartDate:
                         strcmd.AppendFormat(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
@@ -641,7 +667,7 @@
                         strcmd.AppendFormat(" EndDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnCnt.PassWord:
-                        strcmd.AppendFormat(" PassWord = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PassWord = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.SecurityManagement:
                         strcmd.AppendFormat(" SecurityManagement = {0}", ((int)value).ToString());
@@ -653,7 +679,7 @@
                         strcmd.AppendFormat(" MsgBackColor = '{0}'", value.ToString());
                         break;
                     case (int)ColumnCnt.DisplayString:
-                        strcmd.AppendFormat(" DisplayString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" DisplayString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.DepartmentCode:
                         strcmd.AppendFormat(" DepartmentCode = {0}", ((int)value).ToString());
@@ -665,10 +691,10 @@
                         strcmd.AppendFormat(" YearSalary = {0}", ((double)value).ToString());
                         break;
                     case (int)ColumnCnt.Qualification:
-                        strcmd.AppendFormat(" Qualification = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Qualification = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.SealPrintName:
-                        strcmd.AppendFormat(" SealPrintName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SealPrintName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)ColumnCnt.EmployeeClassFlg:
                         strcmd.AppendFormat(" EmployeeClassFlg = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMQualificationMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMQualificationMaster.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMQualificationMaster.cs	(revision 484)
@@ -192,8 +192,8 @@
 
                 strcmd.AppendFormat("  {0}", data.DCode);
                 strcmd.AppendFormat(", {0}", data.QCode);
-                strcmd.AppendFormat(",'{0}'", data.Qualification);
-                strcmd.AppendFormat(",'{0}'", data.DisplayOrder);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Qualification));
+                strcmd.AppendFormat(", {0}", data.DisplayOrder);
                 strcmd.AppendFormat(", {0}", data.DeleteFlg);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
@@ -242,7 +242,7 @@
 
                     strcmd.AppendFormat("  {0}", work.DCode);
                     strcmd.AppendFormat(", {0}", work.QCode);
-                    strcmd.AppendFormat(",'{0}'", work.Qualification);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Qualification));
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
@@ -284,7 +284,7 @@
 
                 strcmd.AppendFormat(" DCode =  {0}", data.DCode);
                 strcmd.AppendFormat(", QCode = {0}", data.QCode);
-                strcmd.AppendFormat(", Qualification = '{0}'", data.Qualification);
+                strcmd.AppendFormat(", Qualification = {0}", SeparateString(data.Qualification));
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
@@ -351,7 +351,7 @@
                         strcmd.AppendFormat(" QCode = {0}", ((int)value).ToString());
                         break;
                     case (int)NameColumn.Qualification:
-                        strcmd.AppendFormat(" Qualification = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Qualification = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)NameColumn.DisplayOrder:
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 484)
@@ -59,6 +59,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 保護区分マスタ検索文字作成
         /// <summary>
         /// 保護区分マスタ検索文字作成
@@ -65,31 +103,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SecurityMaster", CreateFieldNameList());
 
-            strcmd.Append("SELECT ");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM SecurityMaster");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -199,7 +224,7 @@
 
                 strcmd.AppendFormat(" {0}", work.SecCode.ToString());
                 strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                strcmd.AppendFormat(",'{0}'", work.SecName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecName));
                 strcmd.AppendFormat(", {0}", work.SecRank);
                 strcmd.AppendFormat(", {0}", work.SecRange);
                 strcmd.AppendFormat(", {0}", work.GeneralAffairs);
@@ -252,7 +277,7 @@
 
                     strcmd.AppendFormat("  {0}", work.SecCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(",'{0}'", work.SecName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecName));
                     strcmd.AppendFormat(", {0}", work.SecRank);
                     strcmd.AppendFormat(", {0}", work.SecRange);
                     strcmd.AppendFormat(", {0}", work.GeneralAffairs);
@@ -297,7 +322,7 @@
 
                 strcmd.AppendFormat(" SecCode = {0}", data.SecCode);
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(",SecName = '{0}'", data.SecName);
+                strcmd.AppendFormat(",SecName = {0}", SeparateString(data.SecName));
                 strcmd.AppendFormat(",SecRank = {0}", data.SecRank);
                 strcmd.AppendFormat(",SecRange = {0}", data.SecRange);
                 strcmd.AppendFormat(",GeneralAffairs = {0}", data.GeneralAffairs);
@@ -372,7 +397,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SecName:
-                        strcmd.AppendFormat(" SecurityName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecurityName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SecRank:
                         strcmd.AppendFormat(" SecurityRank = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContrMailDelivery.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContrMailDelivery.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContrMailDelivery.cs	(revision 484)
@@ -195,7 +195,7 @@
 
                 strcmd.AppendFormat("  {0}", data.CompanyCode);
                 strcmd.AppendFormat(", {0}", data.SeqNo);
-                strcmd.AppendFormat(",'{0}'", data.MailDelivery);
+                strcmd.AppendFormat(", {0}", data.MailDelivery);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -243,7 +243,7 @@
 
                     strcmd.AppendFormat("  {0}", work.CompanyCode);
                     strcmd.AppendFormat(", {0}", work.SeqNo);
-                    strcmd.AppendFormat(",'{0}'", work.MailDelivery);
+                    strcmd.AppendFormat(", {0}", work.MailDelivery);
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -282,7 +282,7 @@
 
                 strcmd.AppendFormat(" CompanyCode = {0}", data.CompanyCode);
                 strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
-                strcmd.AppendFormat(", MailDelivery = '{0}'", data.MailDelivery);
+                strcmd.AppendFormat(", MailDelivery = {0}", data.MailDelivery);
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
